Package org.apache.lucene.spatial.prefix.tree

## Class GeohashPrefixTree.Factory

- java.lang.Object
- - org.apache.lucene.spatial.prefix.tree.SpatialPrefixTreeFactory
  - - org.apache.lucene.spatial.prefix.tree.GeohashPrefixTree.Factory

- Enclosing class:
    GeohashPrefixTree

      public static class GeohashPrefixTree.Factory
      extends SpatialPrefixTreeFactory

  Factory for creating `GeohashPrefixTree` instances with useful defaults

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.spatial.prefix.tree.SpatialPrefixTreeFactory

      `args, ctx, MAX_DIST_ERR, MAX_LEVELS, maxLevels, PREFIX_TREE, VERSION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `getLevelForDistance​(double degrees)` | Calls `SpatialPrefixTree.getLevelForDistance(double)`.
    `protected SpatialPrefixTree` | `newSPT()` |

    - ### Methods inherited from class org.apache.lucene.spatial.prefix.tree.SpatialPrefixTreeFactory

      `getVersion, init, initMaxLevels, initVersion, makeSPT, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### getLevelForDistance

          protected int getLevelForDistance​(double degrees)

      Description copied from class: `SpatialPrefixTreeFactory`
      Calls `SpatialPrefixTree.getLevelForDistance(double)`.
      Specified by:
        `getLevelForDistance` in class `SpatialPrefixTreeFactory`

    - #### newSPT

          protected SpatialPrefixTree newSPT()

      Specified by:
        `newSPT` in class `SpatialPrefixTreeFactory`